//Creation Crate - Maker Kit
//Program 3: Chase

#define LED1 3 //This makes the first LED output use pin 3
#define LED2 5 //Second LED uses pin 5
#define LED3 6 //etc.
#define LED4 9
#define LED5 10
#define LED6 11

#define KNOB1 A0 //Controls the brightness
#define KNOB2 A1 //Controlls the chaseSpeed

int brightness = 0; //This holds the brightness of the LEDs
int chaseSpeed = 0; //This is the speed at which the LEDs "chase" eachother

void setup() //This code runs once, each time the Uno R3 is plugged in.
{
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(LED3, OUTPUT);
  pinMode(LED4, OUTPUT);
  pinMode(LED5, OUTPUT);
  pinMode(LED6, OUTPUT);

  pinMode(KNOB1, INPUT);
  pinMode(KNOB2, INPUT);
}

void loop() //This code will repeat infinitely until the Uno R3 is unplugged.
{
  //analogRead reads the value of the knobs, between 0 and 1024.
  brightness = analogRead(KNOB1)/4; //Convert reading (0-1024) to brightness (0-255)
  chaseSpeed = 200 - analogRead(KNOB2) / 6; //Convert reading to a usable speed by subtracting and dividing. 200 and 6 are chosen fairly randomly, so use different numbers for different results!

  analogWrite(LED6, 0); //Turns LED6 off
  analogWrite(LED1, brightness); //Turns LED1 on to the set brightness
  delay(chaseSpeed); //Pauses for a duration of chaseSpeed

  analogWrite(LED1, 0); //Turns LED1 off
  analogWrite(LED2, brightness); //Turns LED2 on to the set brightness
  delay(chaseSpeed); //Pauses for a duration of chaseSpeed

  analogWrite(LED2, 0); //Turns LED2 off
  analogWrite(LED3, brightness); //Turns LED3 on to the set brightness
  delay(chaseSpeed); //Pauses for a duration of chaseSpeed

  analogWrite(LED3, 0); //Turns LED3 off
  analogWrite(LED4, brightness); //Turns LED4 on to the set brightness
  delay(chaseSpeed); //Pauses for a duration of chaseSpeed

  analogWrite(LED4, 0); //Turns LED4 off
  analogWrite(LED5, brightness); //Turns LED5 on to the set brightness
  delay(chaseSpeed); //Pauses for a duration of chaseSpeed

  analogWrite(LED5, 0); //Turns LED5 off
  analogWrite(LED6, brightness); //Turns LED6 on to the set brightness
  delay(chaseSpeed); //Pauses for a duration of chaseSpeed
}
  

  
  
